lkml.org 
[lkml]   [2019]   [Aug]   [21]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [ANNOUNCE] v5.2.9-rt3
On 21/08/2019 15:25:54+0200, Sebastian Andrzej Siewior wrote:
> On 2019-08-20 17:44:18 [+0200], Alexandre Belloni wrote:
> > Hi,
> Hi,
>
> > On 19/08/2019 13:03:51+0200, Alexander Dahl wrote:
> > > Hei hei,
> > >
> > > just tried to compile this v5.2.9-rt3 for SAMA5D27-SOM1-EK1 based on
> > > arch/arm/configs/sama5_defconfig and with running oldconfig and selecting
> > > defaults, but that fails if CONFIG_ATMEL_TCB_CLKSRC_USE_SLOW_CLOCK is not set.
> > >
> > > I think this is due to changes for Atmel TCLIB in v5.2 and the not yet adapted
> > > RT patch "clocksource: TCLIB: Allow higher clock rates for clock events",
> > > right?
> >
> > Patch clocksource-tclib-allow-higher-clockrates.patch needs to be
> > changed so:
> >
> > ret = setup_clkevents(tc, best_divisor_idx);
> >
> > becomes
> >
> > ret = setup_clkevents(&tc, best_divisor_idx);
> >
>
> I will fix that locally.
>
> > Also, I would think clocksource-tclib-add-proper-depend.patch could be
> > dropped. Instead, setup_clkevents should use atmel_tcb_divisors. It
> > would then be necessary to move its declaration before the function.
> >
> > Sebastian, can you take care of that or do you expect a patch? In the
> > latter case, do you want a patch for the patch?
>
> For the second part I would appreciate a patch. I can then drop
> clocksource-tclib-add-proper-depend.patch if it is not an issue.
>

I'm not sure it is worth it as the issue is introduced by
clocksource-tclib-allow-higher-clockrates.patch. Shouldn't we fix it
directly?

--
Alexandre Belloni, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com

\
 
 \ /
  Last update: 2019-08-21 16:22    [W:0.060 / U:2.836 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site